Find by id
curl --request GET \
--url https://stream-service.vatis.tech/stream-service/api/v1/streams/{streamId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://stream-service.vatis.tech/stream-service/api/v1/streams/{streamId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stream-service.vatis.tech/stream-service/api/v1/streams/{streamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"streamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"configuration": {
"streamConfigurationTemplateId": "<string>",
"dataSource": {
"topic": "<string>",
"messageSchema": "<string>",
"connectionOptions": {},
"headers": {},
"messageHeaders": {},
"subscriptions": {}
},
"dataSinks": {},
"processors": [
{
"id": "<string>",
"source": {
"subscription": "<string>",
"topic": "<string>",
"messageSchema": "<string>",
"connectionOptions": {},
"headers": {}
},
"destination": {
"topic": "<string>",
"messageSchema": "<string>",
"connectionOptions": {},
"headers": {},
"messageHeaders": {},
"subscriptions": {}
},
"clusterDomainName": "<string>",
"podsDiscoveryClusterDomainName": "<string>",
"propertiesSchema": "<string>",
"properties": {},
"egress": {
"persist": true,
"sink": true,
"tags": [
"<string>"
]
}
}
],
"dynamicWebhookEndpoints": [
{
"id": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"enabled": true,
"description": "<string>"
}
]
},
"createdTimestamp": "2023-11-07T05:31:56Z",
"creatorId": "<string>",
"groupCreatorId": "<string>",
"stateDescription": "<string>",
"finalizedTimestamp": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}Streams
Find by id
Retrieves a stream by id
GET
/
stream-service
/
api
/
v1
/
streams
/
{streamId}
Find by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Stream retrieved successfully
⌘I